Bug 495874 - make check fails on s390x
make check fails on s390x
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-peak-rules (Show other bugs)
11
s390x Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2009-04-15 06:59 EDT by Karsten Hopp
Modified: 2016-09-19 22:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-24 14:44:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2009-04-15 06:59:03 EDT
Description of problem:
FAIL: Doctest: Indexing.txt
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib64/python2.6/doctest.py", line 2131, in runTest
    raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for Indexing.txt
  File "/builddir/build/BUILD/PEAK-Rules-0.5a1.dev-r2582/Indexing.txt", line 0
----------------------------------------------------------------------
File "/builddir/build/BUILD/PEAK-Rules-0.5a1.dev-r2582/Indexing.txt", line 647, in Indexing.txt
Failed example:
    print hex(seven_long)
Expected:
    0x700000000L
Got:
    0x700000000


Version-Release number of selected component (if applicable):
python-peak-rules-0_5a1_dev-5_2582_fc11

How reproducible:
always

Steps to Reproduce:
1. build on http://s390.koji.fedoraproject.org
2.
3.
  
Actual results:


Expected results:


Additional info:
I'll disable 'make check' for s390x for now and add this bugzilla as a reference to the spec file
Comment 1 Bug Zapper 2009-06-09 09:51:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Luke Macken 2009-07-24 14:44:17 EDT
I patched this a while back in python-peak-rules-0.5a1.dev-6.2582, and python-peak-rules-0.5a1.dev-8.2582.fc11 is current in f11-updates-testing

Note You need to log in before you can comment on or make changes to this bug.